Bug 9217 - при сборке пропущено -lcrypto
: при сборке пропущено -lcrypto
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libnet-snmp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-09 19:49 by
Modified: 2006-10-05 16:50 (History)


Attachments
файл диффа srpm (вывод srpmcmp) и патчи (3.88 KB, application/x-gzip)
2006-05-19 18:58, Vladimir Lettiev
no flags Details
файл диффа srpm (вывод srpmcmp) и патчи (15.74 KB, application/x-gzip)
2006-05-19 19:03, Vladimir Lettiev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-09 19:49:32
Re: [devel] продолжение сборки quagga. сборка в hasher, а , так же ,
%set_verify_elf_method unresolved
From: Sergey Vlasov <vsu@altlinux.ru>
To: ALT Devel discussion list <devel@lists.altlinux.org>
Date: 2006-03-09 19:52

Message was signed on 2006-03-09 19:52 with unknown key 0x5BCD867E441FB2A2.
The validity of the signature cannot be verified.
Status: No public key to verify the signature
  On Thu, Mar 09, 2006 at 07:22:30PM +0400, Sergey Y. Afonin wrote:

> При сборке всё еще имеют место две проблемы.
> 
> Первая: 
> 
> при --enable-snmp вылезает вот такой набор ошибок:
> 
> gcc -pipe -Wall -O2 -march=i686 -rdynamic -o .libs/zebra zserv.o main.o
interface.o connected.o zebra_rib.o redistribute.o debug.o rtadv.o zebra_snmp.o
zebra_vty.o irdp_main.o irdp_interface.o irdp_packet.o router-id.o ioctl.o
ipforward_proc.o if_netlink.o rt_netlink.o rtread_netlink.o 
../lib/.libs/libzebra.so -lm -lcrypt -lnetsnmp -lcrypto
> /usr/bin/../lib/libnetsnmp.so.9: undefined reference to `EVP_DigestInit'
> /usr/bin/../lib/libnetsnmp.so.9: undefined reference to `EVP_DigestFinal'
> /usr/bin/../lib/libnetsnmp.so.9: undefined reference to `EVP_DigestFinal_ex'
> /usr/bin/../lib/libnetsnmp.so.9: undefined reference to `AES_set_encrypt_key'
> /usr/bin/../lib/libnetsnmp.so.9: undefined reference to `EVP_md5'
> /usr/bin/../lib/libnetsnmp.so.9: undefined reference to `HMAC'
> 
> или -lm должно быть еще и после -l* ? Но при сборке без hasher на
> текущем Сизифе не воспроизводится...

ldd -r /usr/lib/libnetsnmp.so.9 показывает, что эта библиотека собрана
криво (при сборке пропущено -lcrypto).  Нужно лечить пакет net-snmp (ну
или пока собирать без --enable-snmp).
------- Comment #1 From 2006-05-19 18:55:07 -------
(In reply to comment #0)

> ../lib/.libs/libzebra.so -lm -lcrypt -lnetsnmp -lcrypto
> > /usr/bin/../lib/libnetsnmp.so.9: undefined reference to `EVP_DigestInit'
...
> > 
> > или -lm должно быть еще и после -l* ? Но при сборке без hasher на
> > текущем Сизифе не воспроизводится...
> 
> ldd -r /usr/lib/libnetsnmp.so.9 показывает, что эта библиотека собрана
> криво (при сборке пропущено -lcrypto).  Нужно лечить пакет net-snmp (ну
> или пока собирать без --enable-snmp).

Удалось собрать net-snmp на текущем Сизифе.
Полностью вывести unresoved символы не удалось, но линковаться с библиотекой
вроде как получается.
------- Comment #2 From 2006-05-19 18:58:56 -------
Created an attachment (id=1499) [details]
файл диффа srpm (вывод srpmcmp) и патчи

хак жуткий, но работает %)
------- Comment #3 From 2006-05-19 19:03:47 -------
Created an attachment (id=1500) [details]
файл диффа srpm (вывод srpmcmp) и патчи

Это уже дифф до версии 5.3.0.1. Включена куча полезных патчиков от redhat.
У этой сборки меняется soname (10.0.1)!
------- Comment #4 From 2006-05-19 21:08:52 -------
Мне её в Сизифе ждать, или так забрать на проверку ? :-)
------- Comment #5 From 2006-05-19 21:10:09 -------
Хотя нет, у себя я не проверю - у меня оно и так собиралось...
------- Comment #6 From 2006-09-28 17:45:39 -------
В текущей сборке в Сизифе (5.3.1-alt1) это исправлено.

Закрываем?
------- Comment #7 From 2006-10-05 10:12:44 -------
да, quagga-0.99.5-alt1 собралась с libnet-snmp
------- Comment #8 From 2006-10-05 16:14:15 -------
ну и закройте чтоли тогда :)